from urllib import parse

import uuid
import yaml
from sqlalchemy import create_engine


# 创建数据库连接引擎
def get_db_engine(db_info):
    db_con_str = 'mysql+pymysql://%s:%s@%s:%d/%s' % \
                 (db_info['user'],
                  parse.quote_plus(db_info['password']),
                  db_info['host'],
                  db_info['port'],
                  db_info['database'])
    engine = create_engine(db_con_str, connect_args={'charset': 'utf8mb4'}, poolclass=None)
    return engine


with open('/data/pythonProject/video_to_word/config/config.yaml', mode='r', encoding='utf-8') as f:
    config = yaml.load(f.read(), Loader=yaml.FullLoader)
    mac_ip_config = config['mac_ip_config']

mac = uuid.UUID(int=uuid.getnode()).hex[-12:]
if mac in ['5254003fa716', '00163e9162d9']:
    ai_word_engine = get_db_engine(config['ai_word_dev_db'])
    jeecg_engine = get_db_engine(config['jeecg_boot_dev_db'])
else:
    ai_word_engine = get_db_engine(config['ai_word_product_db'])
    jeecg_engine = get_db_engine(config['jeecg_boot_product_db'])

jeecg_product_engine = get_db_engine(config['jeecg_boot_product_db'])
ai_word_product_engine = get_db_engine(config['ai_word_product_db'])

# 向腾讯云发送语音转脚本的任务请求url
voice_to_script_task_submit_url = mac_ip_config[mac]['url'] + 'asr/task/submit'

# 依据task_id，向腾讯云获取脚本
voice_to_script_task_result_url = mac_ip_config[mac]['url'] + 'asr/task/result'

# 巨量引擎获取优质素材信息
get_material_info_from_ocean_engine_url = "https://cc.oceanengine.com/creative_radar_api/v1/material/list"

# 依据 vid, 从巨量引擎获取视频信息
get_video_info_from_ocean_engine_url = "https://cc.oceanengine.com/creative_content_server/api/video/info"

# 快手开眼快创获取优质素材信息
get_video_info_from_kuaishou_kaiyan = "https://cc.e.kuaishou.com/rest/creativeCentor/inspired/list"

# 头条无水印链接
get_none_water_mark_url = "http://i.snssdk.com/video/urls/1/toutiao/mp4/"

# 头条素材永久链接
toutiao_static_video_url = "http://i.snssdk.com/video/code/1/toutiao/"
